package Drawings;

import Entities.*;
import java.awt.*;

public class DrawingMonorail extends DrawingTrain{
    EntityMonorail entityMonorail;

    public DrawingMonorail(int speed, double weight, Color bodyColor, int wheelsType, Color additionalColor, boolean rail, boolean secondCarriage) {
        super(speed, weight, bodyColor, wheelsType, 150, 40);
        entityMonorail = new EntityMonorail(speed, weight, bodyColor, additionalColor, rail, secondCarriage);
    }

    @Override
    public void DrawTrain(Graphics g) {
        if (entityMonorail == null || !(entityMonorail instanceof EntityMonorail) || _startPosX == null || _startPosY == null) {
            return;
        }

        super.DrawTrain(g);
        Graphics2D g2d = (Graphics2D) g;

        if (entityMonorail.getRail()) {
            g2d.setColor(entityMonorail.getAdditionalColor());
            if (entityMonorail.getSecondCarriage()){
                g2d.fillRect(_startPosX, _startPosY + 40, 150, 3);
            }
            else{
                g2d.fillRect(_startPosX, _startPosY + 40, 90, 3);
            }
        }

        if (entityMonorail.getSecondCarriage()) {
            g2d.setColor(Color.BLACK);
            g2d.drawRect(_startPosX + 95, _startPosY, 55, 30);
            g2d.setColor(entityMonorail.getAdditionalColor());
            g2d.fillRect(_startPosX + 96, _startPosY + 1, 54, 29);
            g2d.setColor(Color.BLACK);
            g2d.fillRect(_startPosX + 85, _startPosY + 5, 10, 23);
            g2d.drawRect(_startPosX + 105, _startPosY + 5, 35, 10);
            g2d.setColor(Color.CYAN);
            g2d.fillRect(_startPosX + 106, _startPosY + 6, 34, 9);
            g2d.setColor(Color.BLACK);
            g2d.drawRect(_startPosX + 105, _startPosY + 5, 10, 23);
            g2d.setColor(Color.WHITE);
            g2d.fillRect(_startPosX + 106, _startPosY + 16, 9, 12);
            g2d.setColor(Color.BLACK);
            g2d.drawOval(_startPosX + 100, _startPosY + 30, 10, 10);
            g2d.drawOval(_startPosX + 110, _startPosY + 30, 10, 10);
            g2d.drawOval(_startPosX + 130, _startPosY + 30, 10, 10);
            g2d.drawOval(_startPosX + 140, _startPosY + 30, 10, 10);
        }
    }
}