package Drawings;

import java.awt.*;

public class DrawingMonorailWheels implements IDrawingWheels{
    private WheelsCount _wheelsCount;

    public void setEnumNumber(int wheelsCount){
        for (WheelsCount value : WheelsCount.values()){
            if (value.getEnumNumber() == wheelsCount){
                _wheelsCount = value;
                return;
            }
        }
    }

    public void drawWheels(Graphics2D g2d, Color color, int x, int y){
        g2d.setColor(Color.BLACK);
        g2d.drawOval(x, y + 30, 10, 10);
        g2d.setColor(color);
        g2d.fillOval(x, y + 30, 10, 10);
    }

    public void drawMonorailWheels(Graphics g, Color color, int startPosX, int startPosY){
        Graphics2D g2d = (Graphics2D) g;
        switch (_wheelsCount){
            case Two:
                drawWheels(g2d, Color.WHITE, startPosX + 15, startPosY);
                drawWheels(g2d, Color.WHITE, startPosX + 65, startPosY);
                break;
            case Three:
                drawWheels(g2d, Color.WHITE, startPosX + 15, startPosY);
                drawWheels(g2d, Color.WHITE, startPosX + 65, startPosY);
                drawWheels(g2d, color, startPosX + 30, startPosY);
                break;
            case Four:
                drawWheels(g2d, Color.WHITE, startPosX + 15, startPosY);
                drawWheels(g2d, Color.WHITE, startPosX + 65, startPosY);
                drawWheels(g2d, color, startPosX + 30, startPosY);
                drawWheels(g2d, color, startPosX + 50, startPosY);
                break;
            default:
                break;
        }
    }
}
