package MovementStrategy;

import Drawings.DirectionType;
import Drawings.DrawingTrain;

public class MovableTrain implements IMoveableObject {
    private DrawingTrain _train = null;
    public MovableTrain(DrawingTrain train){
        _train = train;
    }

    public ObjectParameters GetObjectPosition() {
        if (_train == null || _train.getEntityTrain() == null){
            return null;
        }
        return new ObjectParameters(_train.getPosX(), _train.getPosY(), _train.getTrainWidth(), _train.getTrainHeight());
    }

    public int GetStep() {
        return (int) _train.getEntityTrain().Step();
    }

    public boolean TryMoveObject(DirectionType direction) {
        return _train.MoveTransport(direction);
    }

    public void MoveObject(DirectionType direction) {
        _train.MoveTransport(direction);
    }
}
