package MovementStrategy;

public class MoveToCenter extends AbstractStrategy {
    protected boolean IsTargetDestination(){
        var objParams = GetObjectParameters();
        if (objParams == null){
            return false;
        }
        return objParams.ObjectMidHorizontal() - GetStep() <= FieldWidth / 2 &&
                objParams.ObjectMidHorizontal() + GetStep() >= FieldWidth / 2 &&
                objParams.ObjectMidVertical() - GetStep() <= FieldHeight / 2 &&
                objParams.ObjectMidVertical() + GetStep() >= FieldHeight / 2;
    }

    protected void MoveToTarget(){
        var objParams = GetObjectParameters();
        if (objParams == null){
            return;
        }
        int diffX = objParams.ObjectMidHorizontal() - FieldWidth / 2;
        if (Math.abs(diffX) > GetStep()){
            if (diffX > 0){
                MoveLeft();
            }
            else{
                MoveRight();
            }
        }
        int diffY = objParams.ObjectMidVertical() - FieldHeight / 2;
        if (Math.abs(diffY) > GetStep()){
            if (diffY > 0){
                MoveUp();
            }
            else{
                MoveDown();
            }
        }
    }
}
